import { createContext, useContext } from 'react';
import { RootStore } from './RootStore';

export const RootStoreContext = createContext<null | RootStore>(null);

export const StoreProvider = RootStoreContext.Provider;

// TODO: Заменить any на RootStore и исправить ошибки!
export function useStore(): any {
  const store = useContext(RootStoreContext);
  if (store === null) {
    throw new Error('Store cannot be null, please add a context provider');
  }
  return store;
}
